#include "sqlform.h"
#include "ui_sqlform.h"
#include <Qsci/qscilexersql.h>

SqlForm::SqlForm(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::SqlForm)
{
    QsciLexerSQL *lexer = new QsciLexerSQL();
    lexer->setDefaultPaper(QColor(255, 255, 255));
    lexer->setDefaultColor(QColor(0, 0, 0));
    lexer->setDefaultFont(QFont("monospace"));
    for (int i = -1; i < 23; i++)
    {
        lexer->setPaper(QColor(255, 255, 255), i);
        //lexer->setDefaultColor(QColor(0, 0, 0));
        lexer->setFont(QFont("monospace"), i);
    }
    ui->setupUi(this);
    ui->QueryTextEdit->setLexer(lexer);
}

SqlForm::~SqlForm()
{
    delete ui;
}

void SqlForm::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
